<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <script src="./jq.js"></script>
    <style>
        .right {
            color: green;
        }

        .wrong {
            color: red;
        }
    </style>
</head>

<body>
    <input type="text"><span>请输入用户名</span>
    <script>
        var input = document.querySelector('input');
        var color = document.querySelector('span');
        var reg = /^[a-zA-Z]{2,6}$/;
        input.onblur = function () {
            if (reg.test(this.value)) {
                color.className = 'right'
                color.innerHTML = '用户名正确'
            } else {
                color.className = 'wrong'
                color.innerHTML = '用户名错误'
            }
        }
    </script>
</body>

</html>